Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.nio
Class ByteBufferWriter

    java.lang.Object
      java.io.Writer
          org.jivesoftware.openfire.nio.ByteBufferWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class ByteBufferWriter

extends Writer

Wrapper on a MINA `ByteBuffer` that extends the Writer class.

Author:
  Gaston Dombia

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`ByteBufferWriter(org.apache.mina.common.ByteBuffer byteBuffer, CharsetEncoder encoder)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] cbuf, int off, int len)`

Methods inherited from class java.io.Writer
`append, append, append, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteBufferWriter

    public ByteBufferWriter(org.apache.mina.common.ByteBuffer byteBuffer,
                            CharsetEncoder encoder)

Method Detail

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in class `Writer`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Specified by:
    `flush` in class `Writer`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Writer`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.